<?xml version="1.0" encoding="UTF-8"?><console-history id="/home/pborthelle/PycharmProjects/Prologin">
  <history-entry>flatten</history-entry>
  <history-entry>{1:1}+{2:2}</history-entry>
  <history-entry>{1:1}.extend({2:2})</history-entry>
  <history-entry>{1:1} + {2:2}</history-entry>
  <history-entry>{1:1} {2:2}</history-entry>
  <history-entry>sum({1:1}, {2:2})</history-entry>
  <history-entry>a = Ellipsis()</history-entry>
  <history-entry>a = Ellipsis</history-entry>
  <history-entry>Ellipsis</history-entry>
  <history-entry>a[3:]</history-entry>
  <history-entry>a[2]</history-entry>
  <history-entry>a[3]</history-entry>
  <history-entry>a[2:]</history-entry>
  <history-entry>a[1:]</history-entry>
  <history-entry>a[1]</history-entry>
  <history-entry>a = [1,2,3]</history-entry>
  <history-entry>to_rel(1,3)</history-entry>
  <history-entry>to_rel(1,27)</history-entry>
  <history-entry>to_rel(1,30)</history-entry>
  <history-entry>to_rel(1,0)</history-entry>
  <history-entry>to_rel(0,30)</history-entry>
  <history-entry>to_rel(0,0)</history-entry>
  <history-entry>def to_rel(x, y):
    if 0 == 31 - 1:
        x = 31 - 1 - x
    if 30 == 31 - 1:
        y = 31 - 1 - y
    return x, y</history-entry>
  <history-entry>def to_rel(x, y):
    if 0 == 31 - 1:
        x = 31 - 1 - x
    if 30 == 31 - 1:
        y = 31 - 1 - y</history-entry>
  <history-entry>return x, y</history-entry>
  <history-entry>to_rel(0, 0)</history-entry>
  <history-entry>def to_rel(x, y):
    if e.moi.b == 31 - 1:
        x = 31 - 1 - x
    if e.moi.base[1] == 31 - 1:
        y = 31 - 1 - y</history-entry>
  <history-entry>to_rel()</history-entry>
  <history-entry>def to_rel(x, y):
    if e.moi.base[0] == api.TAILLE_TERRAIN - 1:
        x = api.TAILLE_TERRAIN - 1 - x
    if e.moi.base[1] == api.TAILLE_TERRAIN - 1:
        y = api.TAILLE_TERRAIN - 1 - y</history-entry>
  <history-entry>(1,2,3) + (2,)</history-entry>
  <history-entry>(1,2,3) + [2]</history-entry>
</console-history>